#!/usr/bin/ruby

all_seqs = []
name = nil
seq = ''
File.open(ARGV[0]).each do |line|
	line.chomp!
	if line =~ /^>/
		all_seqs << [name, seq.length] if !name.nil?
		name = line.gsub('>', '')
		seq = ''
	else
		seq << line
	end

end
all_seqs << [name, seq.length]
all_seqs.sort!{|s1, s2| s2.last <=> s1.last}
all_seqs.each do |name, seq_length|
	puts "#{name}\t1\t#{seq_length}"
end
